For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate IVC voice
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesIVC

Create IVC voice

POST
/v1/voices/add
POST
/v1/voices/add
$curl -X POST https://api.elevenlabs.io/v1/voices/add \
> -H "Content-Type: multipart/form-data" \
> -F name="John Smith" \
> -F "files[]"=@string
1{
2 "voice_id": "c38kUX8pkfYO2kHyqfFy",
3 "requires_verification": false
4}
Create a voice clone and add it to your Voices
Was this page helpful?
Previous

Get voice sample audio

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form with multiple files.
namestringRequired
The name that identifies this voice. This will be displayed in the dropdown of the website.
filesfilesRequired
A list of file paths to audio recordings intended for voice cloning.
remove_background_noisebooleanOptionalDefaults to false
If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.
descriptionstring or nullOptional
A description of the voice.
labelsmap from strings to strings or string or nullOptional
Labels for the voice. Keys can be language, accent, gender, or age.

Response

Successful Response
voice_idstring
The ID of the newly created voice.
requires_verificationboolean
Whether the voice requires verification

Errors

422
Unprocessable Entity Error